# Contributing to Fork, Commit, Merge -repository

First off, thanks for taking the time to contribute!

The following is a set of guidelines for contributing to this project. These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

## Code of Conduct

This project and everyone participating in it are governed by the [Fork, Commit, Merge](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to [niko.hoffren@gmail.com](mailto:niko.hoffren@gmail.com).

## How Can I Contribute?

### Reporting Bugs

This section guides you through submitting a bug report for this project. Following these guidelines helps maintainers and the community understand your report, reproduce the behavior, and find related reports.

Explain the problem and include additional details to help maintainers reproduce the problem:

* Use a clear and descriptive title for the issue to identify the problem.
* Describe the exact steps which reproduce the problem in as many details as possible.

### Suggesting Enhancements

This section guides you through submitting an enhancement suggestion for this project, including completely new features and minor improvements to existing functionality. Following these guidelines helps maintainers and the community understand your suggestion and make the decision on the implementation.

* Use a clear and descriptive title for the issue to identify the suggestion.
* Provide a step-by-step description of the suggested enhancement in as many details as possible.

### Your First Code Contribution

Unsure where to begin contributing to this project? You can start by looking through these `good-first-issue` and `help-wanted` issues:

* `good-first-issue` - issues which should only require a few lines of code, and a test or two.
* `help-wanted` - issues which should be a bit more involved than `good-first-issue` issues.

## Pull Request Process

1. Fork the repository and create your branch from `main`.
2. If you've added code that should be tested, add tests.
3. If necessary, update the documentation/readme.
4. Ensure the test suite passes.
5. Issue that pull request!

## Styleguides

* Use `camelCase` for file names.
* Commit messages should clearly communicate the purpose of the change.
